edu.sc.seis.sod

## Class NetworkArm

- java.lang.Object
- - edu.sc.seis.sod.NetworkArm

- All Implemented Interfaces:
    Arm, java.lang.Runnable

      public class NetworkArm
      extends java.lang.Object
      implements Arm

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `NO_NETWORKS_MSG`
    `static java.lang.String[]` | `PACKAGES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkArm(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(ArmListener listener)`
    `void` | `add(NetworkMonitor monitor)`
    `ChannelGrouper` | `getChannelGrouper()`
    `java.util.List<ChannelSubsetter>` | `getChannelSubsetters()`
    `protected NetworkSource` | `getInternalNetworkSource()`
    `java.lang.String` | `getName()`
    `edu.iris.Fissures.network.NetworkAttrImpl` | `getNetwork(edu.iris.Fissures.IfNetwork.NetworkId network_id)`
    `protected edu.sc.seis.fissuresUtil.hibernate.NetworkDB` | `getNetworkDB()`
    `NetworkSource` | `getNetworkSource()`
    `RefreshNetworkArm` | `getRefresher()`
    `edu.iris.Fissures.model.TimeInterval` | `getRefreshInterval()`
    `java.util.List<edu.sc.seis.fissuresUtil.hibernate.ChannelGroup>` | `getSuccessfulChannelGroups(edu.iris.Fissures.network.StationImpl station)`
    `java.util.List<edu.iris.Fissures.network.ChannelImpl>` | `getSuccessfulChannels(edu.iris.Fissures.network.StationImpl station)` Obtains the Channels corresponding to the station, processes them using the ChannelSubsetter and returns an array of those that pass
    `java.util.List<edu.iris.Fissures.network.NetworkAttrImpl>` | `getSuccessfulNetworks()` returns an array of SuccessfulNetworks.
    `edu.iris.Fissures.network.StationImpl[]` | `getSuccessfulStations(edu.iris.Fissures.network.NetworkAttrImpl net)`
    `boolean` | `isActive()`
    `boolean` | `isBeingRefreshed(edu.iris.Fissures.network.NetworkAttrImpl net)`
    `boolean` | `isBeingRefreshed(edu.iris.Fissures.network.StationImpl sta)`
    `boolean` | `isInitialStartupFinished()`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PACKAGES

          public static final java.lang.String[] PACKAGES

    - #### NO_NETWORKS_MSG

          public static final java.lang.String NO_NETWORKS_MSG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NetworkArm

          public NetworkArm(org.w3c.dom.Element config)
                     throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### isActive

          public boolean isActive()

      Specified by:
        `isActive` in interface `Arm`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `Arm`

    - #### getNetwork

          public edu.iris.Fissures.network.NetworkAttrImpl getNetwork(edu.iris.Fissures.IfNetwork.NetworkId network_id)
                                                               throws edu.iris.Fissures.IfNetwork.NetworkNotFound

      Throws:
        `edu.iris.Fissures.IfNetwork.NetworkNotFound`

    - #### add

          public void add(NetworkMonitor monitor)

    - #### getRefreshInterval

          public edu.iris.Fissures.model.TimeInterval getRefreshInterval()

    - #### getChannelSubsetters

          public java.util.List<ChannelSubsetter> getChannelSubsetters()

    - #### getSuccessfulNetworks

          public java.util.List<edu.iris.Fissures.network.NetworkAttrImpl> getSuccessfulNetworks()

      returns an array of SuccessfulNetworks. if the refreshInterval is valid it gets the networks from the database(may be embedded or external). if not it gets the networks again from the network server specified in the networkFinder. After obtaining the Networks if processes them using the NetworkSubsetter and returns the successful networks as an array of NetworkDbObjects.

    - #### add

          public void add(ArmListener listener)

    - #### getSuccessfulStations

          public edu.iris.Fissures.network.StationImpl[] getSuccessfulStations(edu.iris.Fissures.network.NetworkAttrImpl net)

    - #### getSuccessfulChannels

          public java.util.List<edu.iris.Fissures.network.ChannelImpl> getSuccessfulChannels(edu.iris.Fissures.network.StationImpl station)

      Obtains the Channels corresponding to the station, processes them using the ChannelSubsetter and returns an array of those that pass

    - #### getSuccessfulChannelGroups

          public java.util.List<edu.sc.seis.fissuresUtil.hibernate.ChannelGroup> getSuccessfulChannelGroups(edu.iris.Fissures.network.StationImpl station)

    - #### getNetworkSource

          public NetworkSource getNetworkSource()

    - #### getInternalNetworkSource

          protected NetworkSource getInternalNetworkSource()

    - #### getNetworkDB

          protected edu.sc.seis.fissuresUtil.hibernate.NetworkDB getNetworkDB()

    - #### isBeingRefreshed

          public boolean isBeingRefreshed(edu.iris.Fissures.network.NetworkAttrImpl net)

    - #### isBeingRefreshed

          public boolean isBeingRefreshed(edu.iris.Fissures.network.StationImpl sta)

    - #### getRefresher

          public RefreshNetworkArm getRefresher()

    - #### isInitialStartupFinished

          public boolean isInitialStartupFinished()

    - #### getChannelGrouper

          public ChannelGrouper getChannelGrouper()